/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_DSOL                                                     */
/* Tabela : DESTSOL                                                           */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_DSOL'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_DSOL
GO

CREATE TRIGGER DTULTATU_DSOL
ON DESTSOL
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'DESTSOL', CDFILIAL, 'CDFILIAL='+ CDFILIAL+ ';' +
                                            'CDDESTSOLI='+ CDDESTSOLI+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE DESTSOL
      SET DTULTATUDSOL = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(DESTSOL.CDFILIAL,0)   = ISNULL(INSERTED.CDFILIAL,0))   AND
            (ISNULL(DESTSOL.CDDESTSOLI,0) = ISNULL(INSERTED.CDDESTSOLI,0)) AND
            (ISNULL(DESTSOL.NMDESTSOLI,0) = ISNULL(INSERTED.NMDESTSOLI,0));
   END;
END;
GO

